<mat-card>
  <mat-spinner *ngIf="isLoading" ></mat-spinner>
  <form *ngIf="!isLoading" (submit)="onSearch(SearchFrom)"  #SearchFrom="ngForm" >
    <mat-form-field>
      <input matInput type="text" [(ngModel)]="searchText" name="searchText" ngModel placeholder="Search...." #searchTextInput="ngModel" >
    </mat-form-field>
    <mat-form-field>
      <mat-select [(ngModel)]="visibilityStatus"  name="visibilityStatus" ngModel  #visibilityStatusInput="ngModel" >
        <mat-option *ngFor="let status of VisibilityStatusList" [value]="status.value">
          {{status.viewValue}}
        </mat-option>
      </mat-select>
    </mat-form-field>
    <button mat-raised-button color="primary" type="submit" *ngIf="!isLoading" >Search</button>
    <mat-spinner *ngIf="isLoading" ></mat-spinner>
  </form>
</mat-card>

<br/>

<mat-spinner *ngIf="isLoading" ></mat-spinner>

<mat-accordion  multi="true" *ngIf="quotes.length > 0 && !isLoading" >
  <mat-expansion-panel *ngFor="let quote of quotes" >
    <mat-expansion-panel-header class="header-title">
     <p>{{quote['quoteText']}}</p>
    </mat-expansion-panel-header>
    <div class="quote-info" >
      <p>Quote: {{quote['quoteText']}}</p>
      <p>Details: {{quote['description']}}</p>
      <p>Author: {{quote['authorName'] }}</p>
      <p>Author Title: {{quote['authorTitle']}}</p>
      <p>Date: {{quote['entryDate'] }}</p>
      <p>Entry By: {{quote['entryByUserName'] }}</p>
      <p *ngIf="quote['lastUpdatedAt'] != quote['entryDate']" >Last Modified: {{quote['lastUpdatedAt'] }}</p>
      <p *ngIf="quote['lastUpdatedAt'] != quote['entryDate']" >Modified By: {{quote['modifiedByUserName'] }}</p>
      <p>Status: {{quote['visibilityStatus'] }}</p>
    </div>
    <mat-action-row >
      <a mat-raised-button color="primary" [routerLink]="['/quotes/edit', quote.id]" >Edit</a>
      <button mat-raised-button color="accent" *ngIf="quote['visibilityStatus'] == 'Active'" (click) = "onTrash(quote['id']);" >Send To Trash</button>
      <button mat-raised-button color="accent" *ngIf="quote['visibilityStatus'] == 'Trashed'" (click) = "onActive(quote['id']);" >Recover</button>
      <button mat-raised-button color="warn" (click) = "onDelete(quote['id']);" >Delete</button>
    </mat-action-row>
  </mat-expansion-panel>
</mat-accordion>
<mat-paginator
paginator
[length]="totalquotes"
[pageSize]="quotesPerPage"
[pageSizeOptions]= "pageSizeOptions"
(page)="onChangedPage($event)"
*ngIf="quotes.length > 0"
></mat-paginator>
<p class="info-text mat-body-1"   *ngIf="quotes.length <= 0 && !isLoading">
  No quotes added yet!
</p>
